summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Ruppert <idl0r@gentoo.org>2008-11-08 15:43:07 +0000
committerChristian Ruppert <idl0r@gentoo.org>2008-11-08 15:43:07 +0000
commitf7d391c1ffeefe79248c959edddfd1fce1f30960 (patch)
tree03c8a1545853537b3881aa40411975fdd02eb6be /net-analyzer/netwatch/netwatch-1.2.0.2.ebuild
parentapp-misc/tudu: app-misc/tudu: Version bump (diff)
downloadsunrise-f7d391c1ffeefe79248c959edddfd1fce1f30960.tar.gz
sunrise-f7d391c1ffeefe79248c959edddfd1fce1f30960.tar.bz2
sunrise-f7d391c1ffeefe79248c959edddfd1fce1f30960.zip
net-analyzer/netwatch: New Ebuild for bug 246071
svn path=/sunrise/; revision=7322
Diffstat (limited to 'net-analyzer/netwatch/netwatch-1.2.0.2.ebuild')
-rw-r--r--net-analyzer/netwatch/netwatch-1.2.0.2.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/net-analyzer/netwatch/netwatch-1.2.0.2.ebuild b/net-analyzer/netwatch/netwatch-1.2.0.2.ebuild
new file mode 100644
index 000000000..8a9e4b10f
--- /dev/null
+++ b/net-analyzer/netwatch/netwatch-1.2.0.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit versionator
+
+MY_PV=$(replace_version_separator 3 '-')
+
+DESCRIPTION="Ethernet/PPP IP Packet Monitor"
+HOMEPAGE="http://www.slctech.org/~mackay/netwatch.html"
+SRC_URI="http://www.slctech.org/~mackay/NETWATCH/${PN}-${MY_PV}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+RDEPEND="sys-libs/ncurses"
+DEPEND="${RDEPEND}
+ sys-kernel/linux-headers"
+
+S=${WORKDIR}/${PN}-$(get_version_component_range 1-3)
+
+src_install() {
+ dobin netresolv netwatch || die "dobin failed"
+
+ doman netwatch.1 || die "doman failed"
+ dodoc BUGS CHANGES README* TODO || die "dodoc failed"
+
+ if use doc; then
+ dohtml NetwatchKeyCommands.html || die "dohtml failed"
+ fi
+}
+